# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define download_name   labrea-2.5-stable-1


Name:             labrea
Version:          2.5.1
Release:          alt1_15
Summary:          Tarpit (slow to a crawl) worms and port scanners
Group:            Office
License:          GPLv2
URL:              http://sourceforge.net/projects/labrea/
Source:           http://downloads.sourceforge.net/labrea/%{download_name}.tar.gz
BuildRequires:    libpcap-devel
BuildRequires:    libdnet-devel

%description
Intrusion detection "sticky" honey pot technology using virtual 
servers to detect and trap worms, hackers, and other malware. 


%prep
%setup -q -n %{download_name}
# -I- is no longer supported by GCC and -I /usr/include is just pointless
sed -i -e 's/-I- @DNETINC@ @PCAPINC@//g' src/Makefile.am
sed -i -e 's/-I- @DNETINC@ @PCAPINC@//g' src/Makefile.in
# remove this one because it gets picked over the system one
rm -f inc/syslog.h
sed -i -e 's/syslog.h//g' inc/Makefile.am
sed -i -e 's/syslog.h//g' inc/Makefile.in


%build
%configure 
%make_build


%install 
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


%files 
%doc COPYING INSTALL NEWS README TODO AUTHORS ChangeLog
%config(noreplace) %{_sysconfdir}/labrea.conf
%{_mandir}/man1/labrea.1*
%{_mandir}/man5/labrea.conf.5*
%{_sbindir}/labrea



%changelog
* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_15
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_14
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_13
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_12
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_11
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_10
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_9
- initial fc import

